Inhalte
Index 🔎︎

# Funktion CLng

Konvertiert einen beliebigen numerischen Ausdruck oder einen Zeichenkettenausdruck in einen Long-Integer-Typ.

## Syntax:

    CLng (Ausdruck)

## Rückgabewert:

Long

## Parameter:

Ausdruck: Ein beliebiger zu konvertierender numerischer Ausdruck. Liegt Ausdruck außerhalb des gültigen Wertebereichs des Typs Long Integer (-2.147.483.648 bis 2.147.483.647), so meldet LibreOffice Basic einen Überlauffehler. Zum Konvertieren eines Zeichenkettenausdrucks muss die Zahl als normaler Text ("123,5") entsprechend des Standard-Zahlenformats Ihres Betriebssystems eingegeben werden.

Diese Funktion nimmt stets eine Rundung auf die nächste ganze Zahl vor.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleCountryConvert
        MsgBox CDbl(1234.5678)
        MsgBox CInt(1234.5678)
        MsgBox CLng(1234.5678)
    End Sub